MutableMessageAdapter (Mule ESB 2.2.1 API)
Keywords: org.mule.api.transport.MutableMessageAdapter interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.transport
Interface MutableMessageAdapter

All Superinterfaces:
  MessageAdapter, Serializable

All Known Implementing Classes:
  DefaultMessageAdapter

    public interface MutableMessageAdapter

extends MessageAdapter

Defines a `MessageAdapter` that can have its payload re-assigned after it has been created. Transport message adapters must never use this interface since a message payload received from a transport is always consdered read-only.

Method Summary
`void` | `setPayload(Object payload)` Update the message payload.

Methods inherited from interface org.mule.api.transport.MessageAdapter
`addAttachment, addProperties, addProperties, clearProperties, getAttachment, getAttachmentNames, getBooleanProperty, getCorrelationGroupSize, getCorrelationId, getCorrelationSequence, getDoubleProperty, getEncoding, getExceptionPayload, getIntProperty, getLongProperty, getPayload, getProperty, getProperty, getProperty, getPropertyNames, getPropertyNames, getReplyTo, getStringProperty, getUniqueId, release, removeAttachment, removeProperty, setBooleanProperty, setCorrelationGroupSize, setCorrelationId, setCorrelationSequence, setDoubleProperty, setEncoding, setExceptionPayload, setIntProperty, setLongProperty, setProperty, setProperty, setReplyTo, setStringProperty`

Method Detail

### setPayload

    void setPayload(Object payload)

  Update the message payload. This is typically only called if the payload was originally an InputStream. In which case, if the InputStream is consumed, it needs to be replaced for future access.

  Parameters:
    `payload` - the object to assign as the message payload

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.